## robocode.control
Interface RobocodeListener

    public interface RobocodeListener

A Listener interface for receiving callbacks from the `RobocodeEngine`.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `RobocodeEngine`

Method Summary
`void` `battleAborted(BattleSpecification battle)` This method is called when a battle has been aborted.
`void` `battleComplete(BattleSpecification battle, RobotResults[] results)` This method is called when a battle completes successfully.
`void` `battleMessage(String message)` This method is called when the game logs messages that is normally written out to the console.

Method Detail

### battleComplete

    void battleComplete(BattleSpecification battle,
                        RobotResults[] results)

  This method is called when a battle completes successfully.

  Parameters:
    `battle` - information about the battle that completed
    `results` - an array containing the results for the individual robot
  See Also:
    `RobocodeEngine.runBattle(BattleSpecification)`, `BattleSpecification`, `RobotResults`

### battleAborted

    void battleAborted(BattleSpecification battle)

  This method is called when a battle has been aborted.

  Parameters:
    `battle` - information about the battle that was aborted
  See Also:
    `RobocodeEngine.abortCurrentBattle()`, `BattleSpecification`

### battleMessage

    void battleMessage(String message)

  This method is called when the game logs messages that is normally written out to the console.

  Parameters:
    `message` - the message logged by the game
  See Also:
    `RobocodeEngine.runBattle(BattleSpecification)`